document.addEventListener('DOMContentLoaded', () => {

    if (document.getElementById('add-new-row')) {

        let add_new_row_button = document.getElementById('add-new-row');
        let headers = document.querySelectorAll('#translate-form th');
        let tbody = document.querySelector('#translate-form tbody');
        let rows = document.querySelectorAll('.row');
        let counter = rows.length;
    
        let inputs = document.querySelectorAll('#translate-form input');
    
    
        add_new_row_button.addEventListener('click', add_new_row);
    
        function add_new_row() {
            counter++;
            let row = document.createElement('tr');
            row.classList.add('row');
    
            for (let i = 0; i < headers.length; i++) {
                let td = document.createElement('td');
                let input = document.createElement('input');
    
                if (i == 0) {
                    input.setAttribute(`name`, `translate__original__${counter}`);
                } else { 
                    let lang_attr = headers[i].getAttribute('data-lang');
                    input.setAttribute(`name`, `translate__${lang_attr}__${counter}`);
                }
    
                input.addEventListener('change', function() {
                    get_input_data(this);
        
                });
    
                td.appendChild(input);
                row.appendChild(td);
            }
            tbody.appendChild(row);
    
        }
        
    
        for (let $input of inputs) {
    
            $input.addEventListener('change', function() {
    
                get_input_data(this);
    
            });
    
        }
    
        function get_input_data(input) {
    
            console.log(input.getAttribute('name'));
    
            let name = input.getAttribute('name');
            let url = '/wp-admin/admin-ajax.php'
            let formData = new FormData();
    
            let data = name.split('__');
    
            let field = data[1];
            let id = data[2];
            let value = input.value;
    
            console.log('field', field);
            console.log('id', id);
            console.log('value', value);
    
            formData.append( 'action', 'save_data' );
            formData.append( 'field', field );
            formData.append( 'id', id );
            formData.append( 'value', value );
    
            fetch( url, {
                method: 'POST',
                body: formData,
            } ) 
                .then( function(){
                    input.classList.add('border-input');
                })
                .catch( err => console.log( err ) );

        }
    
    }
    
});
    

   